Bug 96987 - booting laptop with Ethernet cable disconnected is extremely slow
Summary: booting laptop with Ethernet cable disconnected is extremely slow
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-07 21:14 UTC by Mitsu Hadeishi
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 12:12:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mitsu Hadeishi 2003-06-07 21:14:46 UTC
Description of problem:

I have a laptop with a wired Ethernet adapter and no wireless card (I have a
wireless card, but this problem occurs when there is no network connection,
wired or wireless).  When booting with the Ethernet cable disconnected, booting
is intolerably slow.  (In particular, it hangs for a very long time for most
network operations, particularly sendmail startup, but also in many other places).

This problem doesn't go away until I reconfigure the BIOS so the Ethernet
adapter is invisible to the OS.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Configure RH9 system with wired Ethernet adapeter.
2. Boot system with no cable attached to Ethernet card
3.
    
Actual results:

Very very slow boot, hangs in many places, and still slow even after boot.

Expected results:

If the cable is disconnected the system should act the same as if there is no
Ethernet card attached.  At the very least the timeouts should be shorter.

Additional info:

My Ethernet adapter is the one built into the Dell Inspiron 8200, a 3Com 3C5x9 I
believe.

Comment 1 Phil Knirsch 2003-06-27 12:12:32 UTC
That is also pretty much to be expected. Simply unplugging your network cable
doesn't disable the networking in Linux so it will try to resolve names, make
connections etc, and without a network connection this will take time to
timeout. Imagine you would have just a bad network connection, you still would
want to the network to operate, right? So the timeouts are there for a good reason.

If you want to disable networking, then do so buy booting in runlevel 2 or by
disabling the interfaces during bootup.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.